服务支持

cve

安全补丁公告

当前位置  >  首页  >  服务支持  >  安全补丁公告

公告ID(KYSA-202110-0011

摘要:mailman安全漏洞 安全等级:重要 公告ID:KYSA-202110-0011 发布日期:2021-11-22 影响CVE:CVE-2020-12137、CVE-2021-42096、CVE-2021-42097、CVE-2020-15011、CVE-2020-12108

详细介绍

1. 修复的CVE信息

  • CVE-2020-12137

    GNU Mailman是GNU计划的一套免费的用于管理电子邮件讨论和电子邮件列表的软件。该软件可与Web项目集成,使用户方便管理邮件订阅帐号,并提供内置归档、自动转发处理、内容过滤和反垃圾过滤器等功能。

    GNU Mailman 2.1.30之前的2.x版本中存在跨站脚本漏洞。该漏洞源于WEB应用缺少对客户端数据的正确验证。攻击者可利用该漏洞执行客户端代码。

  • CVE-2021-42096

    GNU Mailman是GNU社区的一套免费的用于管理电子邮件讨论和电子邮件列表的软件。该软件可与Web项目集成,使用户方便管理邮件订阅帐号,并提供内置归档、自动转发处理、内容过滤和反垃圾过滤器等功能。GNU Mailman 存在安全漏洞,该漏洞源于 GNU Mailman 可能允许远程提权。 某个 csrf_token 值源自管理员密码,可能有助于对该密码进行暴力攻击。

  • CVE-2021-42097

    GNU Mailman是GNU社区的一套免费的用于管理电子邮件讨论和电子邮件列表的软件。该软件可与Web项目集成,使用户方便管理邮件订阅帐号,并提供内置归档、自动转发处理、内容过滤和反垃圾过滤器等功能。GNU Mailman 存在跨站请求伪造漏洞,该漏洞源于 GNU Mailman 可能允许远程提权。 csrf_token 值并不特定于单个用户帐户。 攻击者可以在非特权用户帐户的上下文中获取一个值,然后在针对管理员的 CSRF 攻击中使用该值(例如,用于帐户接管)。

  • CVE-2020-15011

    GNU Mailman是GNU计划的一套免费的用于管理电子邮件讨论和电子邮件列表的软件。该软件可与Web项目集成,使用户方便管理邮件订阅帐号,并提供内置归档、自动转发处理、内容过滤和反垃圾过滤器等功能。GNU Mailman 2.1.33之前版本中存在安全漏洞。攻击者可利用该漏洞注入任意内容。

  • CVE-2020-12108

    GNU Mailman是GNU计划的一套免费的用于管理电子邮件讨论和电子邮件列表的软件。该软件可与Web项目集成,使用户方便管理邮件订阅帐号,并提供内置归档、自动转发处理、内容过滤和反垃圾过滤器等功能。

    GNU Mailman 2.1.31之前版本中的/options/mailman存在安全漏洞。攻击者可利用该漏洞注入任意内容。


2. 影响的操作系统

银河麒麟桌面操作系统V4 SP1

银河麒麟桌面操作系统V4 SP2

银河麒麟桌面操作系统V4 SP3

银河麒麟桌面操作系统V4 SP4

银河麒麟桌面操作系统V10

银河麒麟服务器操作系统V4 SP1

银河麒麟服务器操作系统V4 SP2

银河麒麟服务器操作系统V4 SP3

银河麒麟服务器操作系统V4 SP4

银河麒麟桌面操作系统V10专业版


3. 修复版本

软件包:strongswan

2.1.20-1kord0.6+esm1(V4、V10)

2.1.29-1kylin3.1(V10专业版)


4. 受影响的软件包

  • 银河麒面操作系统V10桌面版、V4

mailman

  • 银河麒麟桌面操作系统V10专业版

mailman


5. 修复方法

方法一:配置源进行升级安装

打开软件包源配置文件,根据仓库地址进行修改。

4.0.2-sp1:http://archive.kylinos.cn/kylin/KYLIN-ALL 4.0.2sp1-desktop main restricted universe multiverse

4.0.2-sp2:http://archive.kylinos.cn/kylin/KYLIN-ALL 4.0.2sp2-desktop main restricted universe multiverse

4.0.2-sp3:http://archive.kylinos.cn/kylin/KYLIN-ALL 4.0.2sp3-desktop main restricted universe multiverse

4.0.2-sp4:http://archive.kylinos.cn/kylin/KYLIN-ALL 4.0.2sp4-desktop main restricted universe multiverse

10.0:http://archive.kylinos.cn/kylin/KYLIN-ALL 10.0 main restricted universe multiverse

10.0 SP1:http://archive.kylinos.cn/kylin/KYLIN-ALL 10.1 main restricted universe multiverse

配置完成后执行更新命令进行升级。$sudo apt update

  • 方法二:下载安装包进行升级安装

通过软件包地址下载软件包,使用软件包升级命令根据受影响的组件包列表 升级相关的组件包。$dpkg -i Packagelists


6. 软件包下载地址

 

 


上一篇: KYSA-202110-0009 下一篇: KYSA-202110-0012

试用

服务

动态

联系